# Get All Organization Groups

Returns a list of all groups within an organization

Endpoint: GET /api/v3.0/orgs/{orgUuid}/groups
Version: 3.0
Security: bearer-key

## Query parameters:

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: Administration General > Organization UUID).

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.name` (string)
    Example: "Group A"

  - `response.description` (string)
    Example: "Group description"

  - `response.users` (integer)
    The amount of users in that group
    Example: 22

  - `response.affectedApplications` (integer)
    Example: 5

  - `response.roles` (array)

  - `response.roles.scopeUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.roles.scopeName` (string)
    Example: "My Project"

  - `response.roles.scopeType` (string)
    Type of entity the role will be associated with
    Enum: "organization", "application", "project", "account", "unsupported"

  - `response.roles.role` (string)
    Enum: "ADMIN", "SCAN_MANAGER", "SECURITY_ANALYST", "MEMBER"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


